Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::make_ostream_joiner_fn Struct Reference
Iterator

## Public Member Functions
template<typename Delim , typename Char , typename Traits >
ostream_joiner< detail::decay_t< Delim >, Char, Traits > | operator() (std::basic_ostream< Char, Traits > &s, Delim &&d) const

## Member Function Documentation

## ◆ operator()()

template<typename Delim , typename Char , typename Traits >

ostream_joiner<detail::decay_t<Delim>, Char, Traits> ranges::make_ostream_joiner_fn::operator() | ( | std::basic_ostream< Char, Traits > & | s,
|  | Delim && | d
| ) |  | const

Precondition
  requires `semiregular<detail::decay_t<Delim>>`